liblscp 1.0.0

Data Fields
_lscp_param_info_t Struct Reference

`#include <device.h>`

## Data Fields
lscp_type_t | type
char * | description
int | mandatory
int | fix
int | multiplicity
char ** | depends
char * | defaultv
char * | range_min
char * | range_max
char ** | possibilities

## Detailed Description

Common parameter info cache struct.

## Field Documentation

## ◆ defaultv

char* _lscp_param_info_t::defaultv

## ◆ depends

char** _lscp_param_info_t::depends

## ◆ description

char* _lscp_param_info_t::description

## ◆ fix

int _lscp_param_info_t::fix

## ◆ mandatory

int _lscp_param_info_t::mandatory

## ◆ multiplicity

int _lscp_param_info_t::multiplicity

## ◆ possibilities

char** _lscp_param_info_t::possibilities

## ◆ range_max

char* _lscp_param_info_t::range_max

## ◆ range_min

char* _lscp_param_info_t::range_min

## ◆ type

lscp_type_t _lscp_param_info_t::type

The documentation for this struct was generated from the following file:

- device.h